summaryrefslogtreecommitdiffstats
path: root/system/nvidia-kernel
diff options
context:
space:
mode:
Diffstat (limited to 'system/nvidia-kernel')
-rw-r--r--system/nvidia-kernel/README14
-rw-r--r--system/nvidia-kernel/nvidia-kernel.SlackBuild36
-rw-r--r--system/nvidia-kernel/nvidia-kernel.info12
3 files changed, 35 insertions, 27 deletions
diff --git a/system/nvidia-kernel/README b/system/nvidia-kernel/README
index 442c313a38..2af2536f50 100644
--- a/system/nvidia-kernel/README
+++ b/system/nvidia-kernel/README
@@ -1,13 +1,15 @@
-This is the kernel-module needed by the proprietary binary nvidia driver.
-You also need the nvidia-driver package from SlackBuilds.org.
+This is the kernel-module needed by the proprietary binary nvidia
+driver. You also need the nvidia-driver package from SlackBuilds.org.
To build the package for a kernel different from the running one,
start the script setting the KERNEL variable as in
KERNEL=4.6.3 ./nvidia-kernel.SlackBuild
-A default config file is placed at /usr/share/X11/xorg.conf.d/10-nvidia.conf
-to make sure that X loads the nvidia module. If you need to make changes,
-move that file to /etc/X11/xorg.conf.d/ and edit the copy. You do not need
-this file at all if you have a proper and complete xorg.conf.
+A default config file is placed at
+ /usr/share/X11/xorg.conf.d/10-nvidia.conf
+to make sure that X loads the nvidia module. If you need to make
+changes, move that file to /etc/X11/xorg.conf.d/ and edit the copy.
+You do not need this file at all if you have a proper and complete
+xorg.conf.
The xf86-video-nouveau-blacklist package from /extra is required.
diff --git a/system/nvidia-kernel/nvidia-kernel.SlackBuild b/system/nvidia-kernel/nvidia-kernel.SlackBuild
index 4e3d0ee769..67c1a5d369 100644
--- a/system/nvidia-kernel/nvidia-kernel.SlackBuild
+++ b/system/nvidia-kernel/nvidia-kernel.SlackBuild
@@ -1,9 +1,10 @@
-#!/bin/sh
+#!/bin/bash
# Slackware build script for nvidia-kernel
# Copyright 2007-2011 Heinz Wiesinger, Amsterdam, The Netherlands
# Copyright 2012-2019 Edward W. Koenig, Vancouver, WA, USA
+# Updates copyright 2020-2022 Lenard Spencer, Orlando, FL, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,12 +26,13 @@
# Thanks to Robby Workman for suggestions to improve this script.
-# see nvidia-driver/changelog.txt
+cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=nvidia-kernel
-VERSION=${VERSION:-440.36}
+VERSION=${VERSION:-550.78}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
KERNEL=${KERNEL:-$(uname -r)}
KERNELPATH=${KERNELPATH:-/lib/modules/${KERNEL}/build}
@@ -58,9 +60,16 @@ unset ARCH
SRCNAM=NVIDIA-Linux-$TARGET-${VERSION}
-CWD=$(pwd)
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$PKGVER-$TARGET-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
TMP=${TMP:-/tmp/SBo}
-PKG=${PKG:-$TMP/package-$PRGNAM}
+PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
rm -rf $PKG
@@ -77,21 +86,18 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
(cd kernel || exit 1
- make SYSSRC=$KERNELPATH module || exit 1
+
+# CC=${CC:-gcc} suppresses an otherwise harmless "compiler mismatch"
+# message. If you custom-build your kernel with clang,
+# then pass CC=clang to this script.
+ CC=${CC:-gcc} make SYSSRC=$KERNELPATH module || exit 1
)
mkdir -p $PKG/lib/modules/$KERNEL/kernel/drivers/video
install -m 0664 kernel/nvidia.ko $PKG/lib/modules/$KERNEL/kernel/drivers/video/
install -m 0664 kernel/nvidia-modeset.ko $PKG/lib/modules/$KERNEL/kernel/drivers/video/
install -m 0664 kernel/nvidia-drm.ko $PKG/lib/modules/$KERNEL/kernel/drivers/video/
-# 32-bit doesn't have nvidia-uvm
-if [ "$TARGET" = "x86_64" ]; then
- install -m 0664 kernel/nvidia-uvm.ko $PKG/lib/modules/$KERNEL/kernel/drivers/video/
-fi
-
-# Make sure the X is specified to automagically load the
-# correct driver, since I always forget. You can remove
-# this file if you have an equivilent entry in /etc/X11/xorg.d
+install -m 0664 kernel/nvidia-uvm.ko $PKG/lib/modules/$KERNEL/kernel/drivers/video/
mkdir -p $PKG/usr/share/X11/xorg.conf.d/
cat $TMP/$SRCNAM/nvidia-drm-outputclass.conf > $PKG/usr/share/X11/xorg.conf.d/10-nvidia.conf
@@ -104,4 +110,4 @@ cat $CWD/slack-desc > $PKG/install/slack-desc
sed "s%@KERNEL@%$KERNEL%" $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$TARGET-$BUILD$TAG.${PKGTYPE:-tgz}
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$PKGVER-$TARGET-$BUILD$TAG.$PKGTYPE
diff --git a/system/nvidia-kernel/nvidia-kernel.info b/system/nvidia-kernel/nvidia-kernel.info
index 1ca83f3d84..19d0915495 100644
--- a/system/nvidia-kernel/nvidia-kernel.info
+++ b/system/nvidia-kernel/nvidia-kernel.info
@@ -1,10 +1,10 @@
PRGNAM="nvidia-kernel"
-VERSION="440.36"
-HOMEPAGE="http://www.nvidia.com"
+VERSION="550.78"
+HOMEPAGE="https://www.nvidia.com"
DOWNLOAD="UNSUPPORTED"
MD5SUM=""
-DOWNLOAD_x86_64="https://download.nvidia.com/XFree86/Linux-x86_64/440.36/NVIDIA-Linux-x86_64-440.36.run"
-MD5SUM_x86_64="0a85672111e3eb348838a5919253411b"
+DOWNLOAD_x86_64="https://download.nvidia.com/XFree86/Linux-x86_64/550.78/NVIDIA-Linux-x86_64-550.78.run"
+MD5SUM_x86_64="c289987ebda8e9419a73e7e8e3409244"
REQUIRES=""
-MAINTAINER="Edward W. Koenig"
-EMAIL="kingbeowulf@gmail.com"
+MAINTAINER="Lenard Spencer"
+EMAIL="lenardrspencer@gmail.com"